Package com.avaya.clientservices.agent

## Class AgentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.agent.AgentException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AgentException
      extends java.lang.Exception

  Exception representing an agent operation failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentException​(java.lang.String message, AgentError agentError, int protocolResponseCode, java.lang.String protocolReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getProtocolReason()` | Returns the reason string from the underlying signaling protocol.
    `int` | `getProtocolResponseCode()` | Returns the response code from the underlying signaling protocol.
    `AgentError` | `getReason()` | Returns the reason for the agent feature failure.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentException

          public AgentException​(java.lang.String message,
                                AgentError agentError,
                                int protocolResponseCode,
                                java.lang.String protocolReason)

  - ### Method Detail

    - #### getReason

          public AgentError getReason()

      Returns the reason for the agent feature failure.
      Returns:
        the reason for the agent feature failure.

    - #### getProtocolResponseCode

          public int getProtocolResponseCode()

      Returns the response code from the underlying signaling protocol.
      Returns:
        the response code from the underlying signaling protocol.

    - #### getProtocolReason

          public java.lang.String getProtocolReason()

      Returns the reason string from the underlying signaling protocol.
      Returns:
        the reason string from the underlying signaling protocol.